[openstack-dev] [ironic] OpenStack client default ironic API version

Jim Rollenhagen jim at jimrollenhagen.com
Tue Mar 7 12:14:09 UTC 2017

On Tue, Mar 7, 2017 at 6:36 AM, Dmitry Tantsur <dtantsur at redhat.com> wrote:

> On 03/07/2017 12:32 PM, Miles Gould wrote:
>> On 06/03/17 20:46, Mario Villaplana wrote:
>>> We also still have yet to decide what a suitable deprecation period is
>>> for this change, as far as I'm aware. Please respond to this email
>>> with any suggestions on the deprecation period.
>> One cycle?
> I'd go with standard deprecation period of MAX(next cycle, 3 months).
> Pinning the version in your environment variables is quite trivial.

I'm also good with the standard deprecation period for this.

Reasoning about the "max" logic here made my brain hurt a bit, probably
just lack of coffee. But to be clear to anyone that is unfamiliar, the
deprecation period must include a cycle boundary and also span at least
three months. This is described in governance docs:

// jim
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstack.org/pipermail/openstack-dev/attachments/20170307/b93bf460/attachment.html>

More information about the OpenStack-dev mailing list